Supported Languages

Pulumi is a multi-language runtime. Your choice of language does not affect which clouds may be targeted – each language is just as capable as the other and supports the entire surface area of resources available.

  • Node.js - JavaScript, TypeScript, or any other Node.js compatible language
  • Python 3 - Python 3.6 or greater
  • Go - statically compiled Go binaries (documentation coming soon)

If your favorite language isn’t listed, it may be on its way soon. (It is, in fact, possible to add your own language.) In either case, please contact us to inquire and let us know what you’re looking for.